/* eslint-disable react/prop-types */
import React, {useState} from 'react'

import Button from '@material-ui/core/Button'

import {useStyles} from '../index'


export default function MCF_Button (props) {
  const [params, setParams] = useState(props.params)
  const classes = useStyles()

  return (
    <Button
      className={classes.button}
      variant={params.variant}
      color={params.color}
      disabled={params.disabled}
      size={params.size}
      value={params.value}
      onClick={params.onClickListener}
    >
      {params.text}
    </Button>
  )
}
